FISH_TITLE(1)

NAME
fish_title - define the terminal's title

SYNOPSIS

function fish_title
    ...
end

DESCRIPTION

The fish_title function is executed before and after a new command is executed or put into the foreground and the output is used as a titlebar message.

The first argument to fish_title contains the most recently executed foreground command as a string, if any.

This requires that your terminal supports programmable titles and the feature is turned on.

EXAMPLE

A simple title:

function fish_title
    set -q argv[1]; or set argv fish
    # Looks like ~/d/fish: git log
    # or /e/apt: fish
    echo (fish_prompt_pwd_dir_length=1 prompt_pwd): $argv;
end

COPYRIGHT
2021, fish-shell developers